commit 54bae31e90aed3bf266d46be55fbd1cb3e79885c
Author: Alexandre Oliva <oliva@adacore.com>
Date:   Thu Feb 5 03:05:59 2026

    testsuite: aarch64: state pr123775.c requirements
    
    The execution testcase requires sve2 and 128-bit sve hardware, but it
    doesn't state those requiremnets.  I'm think the latter is implied by
    the former, but I'm not entirely sure, so I'm requiring both
    explicitly.
    
    
    for  gcc/testsuite/ChangeLog
    
            PR middle-end/123775
            * gcc.target/aarch64/sve2/pr123775.c: Add sve128 and sve2 hw
            requirements.

diff --git a/gcc/testsuite/gcc.target/aarch64/sve2/pr123775.c b/gcc/testsuite/gcc.target/aarch64/sve2/pr123775.c
index ba292045a18..001c3e2cf71 100644
--- a/gcc/testsuite/gcc.target/aarch64/sve2/pr123775.c
+++ b/gcc/testsuite/gcc.target/aarch64/sve2/pr123775.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do run { target { aarch64_sve128_hw && aarch64_sve2_hw } } } */
 /* { dg-additional-options "-O3 -march=armv9-a+sve2 -msve-vector-bits=128 --param aarch64-autovec-preference=sve-only" } */
 
 int main(int argc, char *argv[]) {

